Description: skip non-existing devices in inittab
From: Bastian Blank <waldi@debian.org>
Bug-Debian: https://bugs.debian.org/541115
Forwarded: no

This patch causes init silently skip running processes from inittab if
the terminal name is specified but the corresponding device file does not
exist.

--- a/init/init.c
+++ b/init/init.c
@@ -598,6 +598,8 @@
 	for (a = G.init_action_list; a; a = a->next) {
 		if (!(a->action_type & action_type))
 			continue;
+		if (a->terminal[0] && access(a->terminal, R_OK | W_OK))
+			continue;
 
 		if (a->action_type & (SYSINIT | WAIT | ONCE | CTRLALTDEL | SHUTDOWN)) {
 			pid_t pid = run(a);
